/**
 * amis v3.4.1
 * Copyright 2018-2023 baidu
 */

import { __extends, __assign, __decorate } from 'tslib';
import React from 'react';
import { Renderer } from 'amis-core';

var Divider = /** @class */ (function (_super) {
    __extends(Divider, _super);
    function Divider() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Divider.prototype.render = function () {
        var _a = this.props, cx = _a.classnames, className = _a.className, _b = _a.style, style = _b === void 0 ? {} : _b, lineStyle = _a.lineStyle, direction = _a.direction, color = _a.color, rotate = _a.rotate;
        var borderColor = {};
        if (color) {
            // 处理渐变色的情况
            if (~(color === null || color === void 0 ? void 0 : color.indexOf('linear-gradient'))) {
                borderColor.borderImage = color + ' 10';
            }
            else {
                borderColor.borderColor = color;
            }
        }
        var transform;
        if (rotate) {
            transform = "".concat((style === null || style === void 0 ? void 0 : style.transform) || '', " rotate(").concat(rotate, "deg)");
        }
        return (React.createElement("div", { className: cx('Divider', lineStyle ? "Divider--".concat(lineStyle) : '', direction === 'vertical'
                ? 'Divider--vertical'
                : 'Divider--horizontal', className), style: __assign(__assign(__assign({}, style), borderColor), { transform: transform }) }));
    };
    Divider.defaultProps = {
        className: '',
        lineStyle: 'solid'
    };
    return Divider;
}(React.Component));
/** @class */ ((function (_super) {
    __extends(DividerRenderer, _super);
    function DividerRenderer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DividerRenderer = __decorate([
        Renderer({
            type: 'divider'
        })
    ], DividerRenderer);
    return DividerRenderer;
})(Divider));

export { Divider as default };
