/**
 * amis v3.4.1
 * Copyright 2018-2023 baidu
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tslib = require('tslib');
var React = require('react');
var amisCore = require('amis-core');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var __react_jsx__ = require('react');
var _J$X_ = (__react_jsx__["default"] || __react_jsx__).createElement;
(__react_jsx__["default"] || __react_jsx__).Fragment;
var Divider = /** @class */ (function (_super) {
    tslib.__extends(Divider, _super);
    function Divider() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Divider.prototype.render = function () {
        var _a = this.props, cx = _a.classnames, className = _a.className, _b = _a.style, style = _b === void 0 ? {} : _b, lineStyle = _a.lineStyle, direction = _a.direction, color = _a.color, rotate = _a.rotate;
        var borderColor = {};
        if (color) {
            // 处理渐变色的情况
            if (~(color === null || color === void 0 ? void 0 : color.indexOf('linear-gradient'))) {
                borderColor.borderImage = color + ' 10';
            }
            else {
                borderColor.borderColor = color;
            }
        }
        var transform;
        if (rotate) {
            transform = "".concat((style === null || style === void 0 ? void 0 : style.transform) || '', " rotate(").concat(rotate, "deg)");
        }
        return (_J$X_("div", { className: cx('Divider', lineStyle ? "Divider--".concat(lineStyle) : '', direction === 'vertical'
                ? 'Divider--vertical'
                : 'Divider--horizontal', className), style: tslib.__assign(tslib.__assign(tslib.__assign({}, style), borderColor), { transform: transform }) }));
    };
    Divider.defaultProps = {
        className: '',
        lineStyle: 'solid'
    };
    return Divider;
}(React__default["default"].Component));
/** @class */ ((function (_super) {
    tslib.__extends(DividerRenderer, _super);
    function DividerRenderer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DividerRenderer = tslib.__decorate([
        amisCore.Renderer({
            type: 'divider'
        })
    ], DividerRenderer);
    return DividerRenderer;
})(Divider));

exports["default"] = Divider;
